load "/usr/share/ncarg/nclscripts/csm/gsn_code.ncl"
load "/usr/share/ncarg/nclscripts/csm/gsn_csm.ncl"
load "/usr/share/ncarg/nclscripts/csm/contributed.ncl"
load "/usr/share/ncarg/nclscripts/esmf/ESMF_regridding.ncl"

OutFileName = "TPREC_JAN2060_SCRIP_grid.nc"

f     = addfile ("TPREC_JAN2060.nc", "r")
lat2d = f->lat                        
lon2d = f->lon                        

;Opt                      = False
Opt                      = True
;Opt@InterpMethod         = "conserve"
;Opt@InterpMethod         = "patch"
Opt@InterpMethod         = "bilinear"     ; default
Opt@ForceOverwrite       = True
Opt@PrintTimings         = True

curvilinear_to_SCRIP(OutFileName,lat2d,lon2d,Opt)


